RRDCreator
RRDCreator::addDataSource
RRDCreator
PHP Manual

# RRDCreator::addArchive

(PECL rrd >= 0.9.0)

RRDCreator::addArchive — Adds RRA - archive of data values for each data source.

### Description

public void RRDCreator::addArchive ( string `$description` )

Adds RRA definition by description of archive. Archive consists of a number of data values or statistics for each of the defined data-sources (DS). Data sources are defined by method RRDCreator::addDataSource(). You need call this method for each requested archive.

### Parameters

`description`

  Definition of archive - RRA. This has same format as RRA definition in rrd create command. See man page of rrd create for more details.

### Return Values

No value is returned.

RRDCreator
RRDCreator::addDataSource
RRDCreator
PHP Manual